# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class AttackLog(object):

    def __init__(self, ip=None, resourceType=None, attackLogId=None, startTime=None, endTime=None, cause=None, status=None, blackHole=None, peak=None, unit=None, attackType=None):
        """
        :param ip: (Optional) 公网 IP
        :param resourceType: (Optional) 公网 IP 类型或绑定资源类型:
  0: 未知类型,
  1: 弹性公网 IP(IP 为弹性公网 IP, 绑定资源类型未知),
  10: 弹性公网 IP(IP 为弹性公网 IP, 但未绑定资源),
  11: 云主机,
  12: 负载均衡,
  13: 原生容器实例,
  14: 原生容器 Pod,
  2: 云物理服务器,

        :param attackLogId: (Optional) 攻击记录 Id
        :param startTime: (Optional) 攻击开始时间
        :param endTime: (Optional) 攻击结束时间
        :param cause: (Optional) 触发原因:
0: 未知,
1: 四层,
2: 七层,
3: 四层和七层

        :param status: (Optional) 状态, 0: 清洗完成, 1: 清洗中, 2: 黑洞中
        :param blackHole: (Optional) 是否黑洞
        :param peak: (Optional) 攻击流量峰值
        :param unit: (Optional) 攻击流量峰值单位
        :param attackType: (Optional) 攻击类型
        """

        self.ip = ip
        self.resourceType = resourceType
        self.attackLogId = attackLogId
        self.startTime = startTime
        self.endTime = endTime
        self.cause = cause
        self.status = status
        self.blackHole = blackHole
        self.peak = peak
        self.unit = unit
        self.attackType = attackType
