# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdateDomainGroupRequest(JDCloudRequest):
    """
    更新域名组
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdateDomainGroupRequest, self).__init__(
            '/domainGroup/{id}:update', 'POST', header, version)
        self.parameters = parameters


class UpdateDomainGroupParameters(object):

    def __init__(self, id, ):
        """
        :param id: 域名组id
        """

        self.id = id
        self.domains = None
        self.primaryDomain = None
        self.shareCache = None
        self.domainGroupName = None

    def setDomains(self, domains):
        """
        :param domains: (Optional) 域名组内域名，包含主域名
        """
        self.domains = domains

    def setPrimaryDomain(self, primaryDomain):
        """
        :param primaryDomain: (Optional) 主域名,开启共享缓存时必传
        """
        self.primaryDomain = primaryDomain

    def setShareCache(self, shareCache):
        """
        :param shareCache: (Optional) 是否共享内存
        """
        self.shareCache = shareCache

    def setDomainGroupName(self, domainGroupName):
        """
        :param domainGroupName: (Optional) 
        """
        self.domainGroupName = domainGroupName

