# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class TranscodeInfo(object):

    def __init__(self, videoCodec=None, videoCodeRate=None, videoFrameRate=None, width=None, height=None, template=None, templateName=None, audioCodec=None, audioFormat=None, audioSampleRate=None, audioChannel=None, audioCodeRate=None, jdchd=None, audioComfort=None):
        """
        :param videoCodec: (Optional) 视频编码格式
  - 取值：h264,h265，默认h264

        :param videoCodeRate: (Optional) 转码输出的码率值:
  - 取值: [128,15000]
  - 单位: kpbs

        :param videoFrameRate: (Optional) 转码输出的帧率值:
  - 取值：[1,30]

        :param width: (Optional) 转码输出视频宽度:
  - 取值: [128,4096]
  - 等比: 如果只填写一个参数,则按参数比例调节输出转码视频
  - 随源: 如果两个参数都不填写，则按照源比例输出转码视频

        :param height: (Optional) 转码输出视频高度:
  - 取值: [128,4096]
  - 等比: 如果只填写一个参数,则按参数比例调节输出转码视频
  - 随源: 如果两个参数都不填写，则按照源比例输出转码视频

        :param template: (Optional) 转码模板自定义名称:
  - 自定义模板: 枚举类型校验，忽略大小写，自动删除空格,
              取值要求：数字、大小写字母或短横线("-"),
              首尾不能有特殊字符("-")
  - 注意: 不能与标准的转码模板和已定义命名重复

        :param templateName: (Optional) 转码模板名称

        :param audioCodec: (Optional) 转码输出音频编码格式:
  - 取值: aac、mp3
  - 不区分大小写

        :param audioFormat: (Optional) 转码输出音频格式:
  - 取值: aac_lc，aac_low，aac_he，aac_he_v2
  - 不区分大小写

        :param audioSampleRate: (Optional) 转码输出音频采样率:
  - 取值: [44100,48000]

        :param audioChannel: (Optional) 转码输出音频通道数:
  - 1  单声道
  - 2  双声道

        :param audioCodeRate: (Optional) 转码输出音频码率:
  - 取值: [16,128]
  - 单位: kbps

        :param jdchd: (Optional) 京享超清
- 取值: jdchd-1.0,off

        :param audioComfort: (Optional) 舒适音频
- 取值: on,off

        """

        self.videoCodec = videoCodec
        self.videoCodeRate = videoCodeRate
        self.videoFrameRate = videoFrameRate
        self.width = width
        self.height = height
        self.template = template
        self.templateName = templateName
        self.audioCodec = audioCodec
        self.audioFormat = audioFormat
        self.audioSampleRate = audioSampleRate
        self.audioChannel = audioChannel
        self.audioCodeRate = audioCodeRate
        self.jdchd = jdchd
        self.audioComfort = audioComfort
