# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class Pod(object):

    def __init__(self, podId=None, name=None, description=None, az=None, hostname=None, instanceType=None, restartPolicy=None, terminationGracePeriodSeconds=None, vpcId=None, subnetId=None, privateIpAddress=None, dnsConfig=None, logConfig=None, hostAliases=None, volumes=None, containers=None, podStatus=None, elasticIp=None, primaryNetworkInterface=None, tags=None, charge=None, createTime=None):
        """
        :param podId: (Optional) pod ID
        :param name: (Optional) pod 名称
        :param description: (Optional) 描述信息，默认为空。
        :param az: (Optional) 可用区
        :param hostname: (Optional) 主机名
        :param instanceType: (Optional) pod 所需的计算资源规格
        :param restartPolicy: (Optional) pod重启策略
        :param terminationGracePeriodSeconds: (Optional) 优雅关闭的时间
        :param vpcId: (Optional) 主网卡所属vpcId
        :param subnetId: (Optional) 主网卡所属子网的ID
        :param privateIpAddress: (Optional) 主网卡主IP地址
        :param dnsConfig: (Optional) pod内容器的/etc/resolv.conf配置
        :param logConfig: (Optional) 容器日志配置信息；默认会在本地分配10MB的存储空间
        :param hostAliases: (Optional) pod内容器的/etc/hosts配置
        :param volumes: (Optional) 属于Pod的volume列表，提供挂载到containers上。
        :param containers: (Optional) pod内的容器信息
        :param podStatus: (Optional) pod状态信息
        :param elasticIp: (Optional) 主网卡主IP关联的弹性IP规格
        :param primaryNetworkInterface: (Optional) 主网卡配置信息
        :param tags: (Optional) 
        :param charge: (Optional) 计费配置；如不指定，默认计费类型是后付费-按使用时常付费
        :param createTime: (Optional) Pod创建时间
        """

        self.podId = podId
        self.name = name
        self.description = description
        self.az = az
        self.hostname = hostname
        self.instanceType = instanceType
        self.restartPolicy = restartPolicy
        self.terminationGracePeriodSeconds = terminationGracePeriodSeconds
        self.vpcId = vpcId
        self.subnetId = subnetId
        self.privateIpAddress = privateIpAddress
        self.dnsConfig = dnsConfig
        self.logConfig = logConfig
        self.hostAliases = hostAliases
        self.volumes = volumes
        self.containers = containers
        self.podStatus = podStatus
        self.elasticIp = elasticIp
        self.primaryNetworkInterface = primaryNetworkInterface
        self.tags = tags
        self.charge = charge
        self.createTime = createTime
