# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CopyImagesRequest(JDCloudRequest):
    """
    镜像跨区复制，将私有镜像复制到其它地域下，只允许操作您的个人私有镜像。<br>
只支持rootDeviceType为cloudDisk的云硬盘系统盘镜像操作。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CopyImagesRequest, self).__init__(
            '/regions/{regionId}/images:copyImages', 'POST', header, version)
        self.parameters = parameters


class CopyImagesParameters(object):

    def __init__(self, regionId, sourceImageIds, destinationRegion):
        """
        :param regionId: 地域ID
        :param sourceImageIds: 源镜像ID
        :param destinationRegion: 目标区域
        """

        self.regionId = regionId
        self.sourceImageIds = sourceImageIds
        self.destinationRegion = destinationRegion

