# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class Image(object):

    def __init__(self, imageId=None, name=None, platform=None, osVersion=None, architecture=None, systemDiskSizeGB=None, imageSource=None, osType=None, status=None, createTime=None, sizeMB=None, desc=None, ownerPin=None, launchPermission=None, systemDisk=None, dataDisks=None, snapshotId=None, rootDeviceType=None, progress=None, offline=None, serviceCode=None):
        """
        :param imageId: (Optional) 镜像ID
        :param name: (Optional) 镜像名称
        :param platform: (Optional) 镜像的操作系统发行版。取值：Ubuntu,CentOS,Windows Server
        :param osVersion: (Optional) 镜像的操作系统版本。
        :param architecture: (Optional) 镜像架构。取值：i386,x86_64
        :param systemDiskSizeGB: (Optional) 镜像系统盘大小
        :param imageSource: (Optional) 镜像来源。取值：jcloud：官方镜像；marketplace：镜像市场镜像；self：用户自己的镜像；shared：其他用户分享的镜像
        :param osType: (Optional) 镜像的操作系统类型。取值：windows,linux
        :param status: (Optional) <a href="http://docs.jdcloud.com/virtual-machines/api/image_status">参考镜像状态</a>
        :param createTime: (Optional) 创建时间
        :param sizeMB: (Optional) 镜像文件实际大小
        :param desc: (Optional) 镜像描述
        :param ownerPin: (Optional) 该镜像所有者的用户PIN
        :param launchPermission: (Optional) 镜像的使用权限，取值：all（所有人可用）， specifiedUsers（共享用户可用），ownerOnly（镜像所有者自己可用）
        :param systemDisk: (Optional) 镜像系统盘配置
        :param dataDisks: (Optional) 镜像数据盘映射信息
        :param snapshotId: (Optional) 创建云盘系统盘所使用的云硬盘快照ID。系统盘类型为本地盘的镜像，此参数为空。
        :param rootDeviceType: (Optional) 镜像支持的系统盘类型。取值：localDisk：本地盘系统盘；cloudDisk：云盘系统盘。
        :param progress: (Optional) 镜像复制和转换时的进度，仅显示数值，单位为百分比
        :param offline: (Optional) 该镜像的上下线状态
        :param serviceCode: (Optional) 该镜像所属的产品线标识
        """

        self.imageId = imageId
        self.name = name
        self.platform = platform
        self.osVersion = osVersion
        self.architecture = architecture
        self.systemDiskSizeGB = systemDiskSizeGB
        self.imageSource = imageSource
        self.osType = osType
        self.status = status
        self.createTime = createTime
        self.sizeMB = sizeMB
        self.desc = desc
        self.ownerPin = ownerPin
        self.launchPermission = launchPermission
        self.systemDisk = systemDisk
        self.dataDisks = dataDisks
        self.snapshotId = snapshotId
        self.rootDeviceType = rootDeviceType
        self.progress = progress
        self.offline = offline
        self.serviceCode = serviceCode
